ranges::v3::concepts::SizedSentinel Struct Reference
Inheritance diagram for ranges::v3::concepts::SizedSentinel:

## Public Member Functions

template<typename S , typename I , typename D = WeaklyIncrementable::difference_t<I>>
auto | requires_ (S s, I i) -> decltype(concepts::valid_expr(concepts::is_false(disable_sized_sentinel< uncvref_t< S >, uncvref_t< I >>()), concepts::has_type< D >(s - i), concepts::has_type< D >(i - s)))
Public Member Functions inherited from ranges::v3::concepts::refines< Sentinel >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< Sentinel >
using | base_concepts_t = meta::list< Concepts... >